
//#include "crc_table.h"
#include <util/delay.h>
#include "psx.c"
#include "updatepad.h"
#include "n64.c"

#define PSdata      PD3 // pink
#define PScommand   PD1 // blue
#define PSclock     PD4 // grey
#define PSattention PD0 // green

#ifndef F_CPU
#define F_CPU 16000000 // 16MHz
#endif

char frame=0;

void setup() {
//   noInterrupts();
//  psx_init(&PORTD, PSdata, &PORTD, PSclock,  &PORTD, PScommand,  &PORTD, PSattention);

  // Communication with the N64 on this pin
  PORTE &=~ (1 << _BV(N64DATA)); // Pin n goes low
  DDRE |= (1 << _BV(N64DATA));        // PB0 Input
  N64_HIGH;
  N642_LOW;

//  while(_data[1]>>4 !=0x7){ // if ps2 controller not found, try again
//    psx_init(&PORTD, PSdata, &PORTD, PSclock,  &PORTD, PScommand,  &PORTD, PSattention);
//  }
}

const long interval = 2700;
unsigned long myCounter = 0;
void loop() {

    n64Stuff(0);

//    if(okToRead == 1){
    if(micros()-myCounter >= interval){
      psx_read_gamepad(); // wired pad
      if(_data[1]>>4 !=0x7){ // if ps2 controller not found, try again
        psx_init(&PORTD, PSdata, &PORTD, PSclock,  &PORTD, PScommand,  &PORTD, PSattention);
      }
      UpdatePad(psx_buttons());
    }
    psx_to_64();

}

