#ifndef UPDTPD
#define UPDTPD

#include "psx.h"

// Button updates
#define HELD 0
#define NEW 1
#define RELEASE 2
int CompletePad, ExPad, TempPad;
static int _SELECT[3],_L3[3],_R3[3],_START[3],_PAD_UP[3],_PAD_RIGHT[3],_PAD_DOWN[3],_PAD_LEFT[3],_L2[3],_R2[3],_L1[3],_R1[3],_TRIANGLE[3],_CIRCLE[3],_CROSS[3],_SQUARE[3];

extern void UPDATEPAD(int pad, int var) {
  _SELECT[pad] =    var & psx_button(PSB_SELECT);
  _L3[pad] =        (var >> 1) & psx_button(PSB_L3);
  _R3[pad] =        (var >> 2) & psx_button(PSB_R3);
  _START[pad] =     (var >> 3) & psx_button(PSB_START);
  _PAD_UP[pad] =    (var >> 4) & psx_button(PSB_PAD_UP);
  _PAD_RIGHT[pad] = (var >> 5) & psx_button(PSB_PAD_RIGHT);
  _PAD_DOWN[pad] =  (var >> 6) & psx_button(PSB_PAD_DOWN);
  _PAD_LEFT[pad] =  (var >> 7) & psx_button(PSB_PAD_LEFT);
  _L2[pad] =        (var >> 8) & psx_button(PSB_L2);
  _R2[pad] =        (var >> 9) & psx_button(PSB_R2);
  _L1[pad] =        (var >> 10) & psx_button(PSB_L1);
  _R1[pad] =        (var >> 11) & psx_button(PSB_R1);
  _TRIANGLE[pad] =  (var >> 12) & psx_button(PSB_TRIANGLE);
  _CIRCLE[pad] =    (var >> 13) & psx_button(PSB_CIRCLE);
  _CROSS[pad] =     (var >> 14) & psx_button(PSB_CROSS);
  _SQUARE[pad] =    (var >> 15) & psx_button(PSB_SQUARE);
}

void UpdatePad(int joy_code)
{
  ExPad = CompletePad;
  CompletePad = joy_code;
  UPDATEPAD(HELD, CompletePad); // held
  UPDATEPAD(RELEASE, (ExPad & (~CompletePad))); // released
  UPDATEPAD(NEW, (CompletePad & (~ExPad))); // newpress
}

//UpdatePad(psx_buttons());
#endif
